#define F_CPU 8000000UL

#define BAUD 9600
#define MYUBRR F_CPU/16/BAUD-1

#include <avr/io.h>
#include <util/delay.h>
#include <string.h>
#include <stdlib.h>
#include "uart.h"
#include "hcsr04.h"

inline void prepareText(char * text, int distance) {
  char textDistance[5];
  itoa(distance, textDistance, 10);
  strcat(text, "D = ");
  strcat(text, textDistance);
  strcat(text, "mm");
}

int main(void) {
  int distance;
  char text[17];
  USARTInit(MYUBRR);
  while (1) {
    text[0] = '\0';
    distance = getDistance();
    prepareText(text, distance);
    USARTTransmitStringLn(text);
    _delay_ms(333);
  }
}